curl -X GET "https://api.affonso.io/v1/finder/searches/cmk2q1wau0001sb01lpvka001/results?limit=20" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0002sb01lpvka002",
"search_id": "cmk2q1wau0001sb01lpvka001",
"domain": "example.com",
"url": "https://example.com/article",
"title": "Example",
"description": "Affiliate marketing guide",
"category": "google",
"search_intent": null,
"social_media_data": null,
"relevance_score": null,
"review_status": "PENDING_REVIEW",
"created_at": "2026-08-28T00:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Affiliate Finder
List Finder Results
List discovered opportunities for one Finder search
GET
/
v1
/
finder
/
searches
/
{id}
/
results
curl -X GET "https://api.affonso.io/v1/finder/searches/cmk2q1wau0001sb01lpvka001/results?limit=20" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0002sb01lpvka002",
"search_id": "cmk2q1wau0001sb01lpvka001",
"domain": "example.com",
"url": "https://example.com/article",
"title": "Example",
"description": "Affiliate marketing guide",
"category": "google",
"search_intent": null,
"social_media_data": null,
"relevance_score": null,
"review_status": "PENDING_REVIEW",
"created_at": "2026-08-28T00:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Path Parameters
string
required
Finder search ID
Query Parameters
integer
default:"1"
Page number for pagination. Must be a positive integer.
integer
default:"20"
Number of results per page. Maximum value is 100. Default is 20.
string
Filter by result category. Maximum 50 characters.
string
Case-insensitive filter on title or domain. Maximum 200 characters.
Response
The response includes a paginated list of discovered opportunities and pagination metadata.boolean
Always
true for successful responsesarray
Array of Finder result objects.
Show Data Object Properties
Show Data Object Properties
string
Unique identifier for the result
string
Finder search ID this result belongs to
string
Domain of the opportunity
string
URL of the opportunity
string
Result title
string
Result description
string | null
Result category, or
null if unsetstring | null
Search intent assigned during analysis, or
null if unsetobject | null
Social metadata returned by the processor, or
null if unsetinteger | null
Relevance score assigned during analysis, or
null if unsetstring
Review status for the result
string
ISO 8601 timestamp of when the result was created
object
Pagination metadata object containing:
page(integer): Current page numberlimit(integer): Number of results per pagetotal(integer): Total number of results matching the filterstotal_pages(integer): Total number of pageshas_next_page(boolean): Whether there is a next pagehas_prev_page(boolean): Whether there is a previous page
curl -X GET "https://api.affonso.io/v1/finder/searches/cmk2q1wau0001sb01lpvka001/results?limit=20" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "cmk2q1wau0002sb01lpvka002",
"search_id": "cmk2q1wau0001sb01lpvka001",
"domain": "example.com",
"url": "https://example.com/article",
"title": "Example",
"description": "Affiliate marketing guide",
"category": "google",
"search_intent": null,
"social_media_data": null,
"relevance_score": null,
"review_status": "PENDING_REVIEW",
"created_at": "2026-08-28T00:30:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_prev_page": false
}
}
Errors
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid query parameters |
404 | NOT_FOUND | Finder search not found |
Notes
- Requires the
read:finderpermission. - Adding a result to the shortlist removes matching URLs for that domain from this list.
Was this page helpful?
